Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ListRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.ListRendererBase

Direct Known Subclasses:
  ListRenderer

    public abstract class ListRendererBase

extends javax.faces.render.Renderer

Author:
  Nick Belaevski

Constructor Summary
`ListRendererBase()`

Method Summary
`void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `encodeListItems(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, org.richfaces.component.ListType listType)`
`protected String` | `getElementId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected org.richfaces.renderkit.ListRendererBase.ItemsEncoder` | `getItemsEncoderByType(org.richfaces.component.ListType type)`
`protected String` | `getListClass(org.richfaces.component.ListType type)`
`protected String` | `getStyleClass(javax.faces.component.UIComponent component, org.richfaces.component.ListType listType)`
`protected org.richfaces.component.ListType` | `getType(javax.faces.component.UIComponent component)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListRendererBase

    public ListRendererBase()

Method Detail

### getListClass

    protected String getListClass(org.richfaces.component.ListType type)

### getItemsEncoderByType

    protected org.richfaces.renderkit.ListRendererBase.ItemsEncoder getItemsEncoderByType(org.richfaces.component.ListType type)

### getType

    protected org.richfaces.component.ListType getType(javax.faces.component.UIComponent component)

### getStyleClass

    protected String getStyleClass(javax.faces.component.UIComponent component,
                                   org.richfaces.component.ListType listType)

### getElementId

    protected String getElementId(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent component)

### encodeListItems

    protected void encodeListItems(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component,
                                   org.richfaces.component.ListType listType)
                            throws IOException

  Throws:
    `IOException`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws IOException

  Overrides:
    `encodeBegin` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Overrides:
    `encodeChildren` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.